From 72a47dec62eeffcf70f0c303ea94b5695ec5f876 Mon Sep 17 00:00:00 2001
From: iamzubin <zchoudhary.10@gmail.com>
Date: Sep 22 2019 21:12:34 +0000
Subject: [PATCH 18/18] no connection error and fetchlist on next page


---

diff --git a/src/FedoraGooeyKarma b/src/FedoraGooeyKarma
index fff99f0..9c9ceb3 100755
--- a/src/FedoraGooeyKarma
+++ b/src/FedoraGooeyKarma
@@ -66,8 +66,6 @@ class Main():
                 self.ui_login.saveButton.clicked.connect(self.save)
 
                 
-                # Get Login and fedora version
-                self.loginPopup()
 
                 # Bodhi
                 self.bc = BodhiClient()
@@ -78,11 +76,20 @@ class Main():
                 self.query_args['page'] = 1
                 
                 # fedora Release
-                self.fedoraRelease = self.bc.get_releases()
-                self.release = []
-                for i in self.fedoraRelease['releases']:
-                        self.release.append(i['name'])
-                self.ui_login.fedoraReleases.addItems(self.release)
+                try:
+                        self.fedoraRelease = self.bc.get_releases()
+                        self.release = []
+                        for i in self.fedoraRelease['releases']:
+                                self.release.append(i['name'])
+                        self.ui_login.fedoraReleases.addItems(self.release)
+                except Exception as e:
+                        error_dialog = QtWidgets.QErrorMessage()
+                        error_dialog.showMessage("Please check your internet connection")
+                        error_dialog.exec_()
+                        print(e)
+
+                # Get Login and fedora version
+                self.loginPopup()
 
                 # setting buttons
                 self.ui.pushButton.setEnabled(0)
@@ -111,6 +118,7 @@ class Main():
                 self.verifyLogin()
         
         def verifyLogin(self):
+                
                 verification = self.fas.verify_password(self.username, self.password)
                 if(verification):
                         self.ui.usernamLable.setText(self.username)
@@ -137,7 +145,7 @@ class Main():
         
         
         # fetch the list of updates
-        def fetchList(self, cached_data):
+        def fetchList(self, cached_data=None):
                 try:
                         print("fetching")
                         self.ui.listWidget.clear()
@@ -159,10 +167,13 @@ class Main():
                         self.query_args["page"] = int(self.query_args["page"]) + 1
                         self.ui.PageNum.setText(str(self.query_args["page"]))
                         self.directory = location_data + "/" +self.query_args['releases'] + '/'+ str(self.query_args['page']) + ".json"
-                        self.fetchList(self.directory)
                         
+                        if(os.path.exists(self.directory)):
+                                self.fetchList(self.directory)
+                        else:
+                                self.fetchList()
                 except Exception as e:
-                        print(e)
+                        print("exception",e,"doesn\'t exist" )
 
         def previous_page(self):
                 try:
@@ -172,6 +183,11 @@ class Main():
                         self.ui.PageNum.setText(str(self.query_args["page"]))
                         self.directory = location_data + "/" +self.query_args['releases'] + '/'+ str(self.query_args['page']) + ".json"
                         
+                        if(os.path.exists(self.directory)):
+                                self.fetchList(self.directory)
+                        else:
+                                self.fetchList()
+                        
                         self.fetchList(self.directory)
 
                 except Exception as e:

